> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reeple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction by reference

> Retrieve a single transaction by its reference

Retrieve a single transaction by its reference.

## Endpoint

```
GET https://api-v3.reeple.ai/transactions/{reference}
```

| Parameter   | Type   | Description                                                      |
| ----------- | ------ | ---------------------------------------------------------------- |
| `reference` | String | **Required.** Unique reference code identifying the transaction. |

## Response

```json theme={null}
{
  "success": true,
  "statusCode": 200,
  "message": "Fetched transaction details",
  "data": {
    "id": "29ccbb6f-6204-49a8-a33f-ccac5bb94f6c",
    "amount": 10,
    "status": "PENDING",
    "fee": 0,
    "description": "Deposit",
    "type": "CREDIT",
    "channel": null,
    "method": null,
    "currency": "NGN",
    "createdAt": "2024-04-28T03:03:35.346Z",
    "updatedAt": "2024-04-28T03:03:35.346Z",
    "businessId": "0bb1dfc6-a74c-4e53-b41a-4a0c1eab188e",
    "reference": "REP_BzCeCbj3uJUQ",
    "depositId": "",
    "spendingId": null,
    "refundId": null,
    "topupId": null,
    "tuitionId": null,
    "walletId": "",
    "cardId": null,
    "swapId": null,
    "balance": null,
    "refund": null,
    "topup": null,
    "spending": null,
    "deposit": {
      "id": "",
      "currency": "NGN",
      "amount": 10,
      "fee": 0,
      "amountSent": 10,
      "status": "PENDING",
      "depositType": "BANK_TRANSFER",
      "createdAt": "2024-04-28T03:03:35.346Z",
      "updatedAt": "2024-04-28T03:03:35.346Z",
      "provider": null,
      "providerId": ""
    },
    "billPayment": null,
    "swap": null,
    "card": null
  }
}
```

<Tip>
  Use this endpoint to verify a payout or bill payment before retrying it after a `500`/`502` error — see [Errors](/api-reference/errors).
</Tip>
